OpenMesh::NormalConeT< Scalar > Class Template Reference

/class NormalCone NormalCone.hh <ACG/Geometry/Types/NormalCone.hh> More...

`#include <OpenMesh/Core/Geometry/NormalConeT.hh>`

## Public Types

typedef VectorT< Scalar, 3 > | Vec3

## Public Member Functions

| NormalConeT ()
| default constructor (not initialized)
| NormalConeT (const Vec3 &_center_normal, Scalar _angle=0.0)
| Initialize cone with center (unit vector) and angle (radius in radians)
Scalar | max_angle (const Vec3 &) const
| return max. distance (radians) unit vector to cone (distant side)
Scalar | max_angle (const NormalConeT &) const
| return max. distance (radians) cone to cone (distant sides)
void | merge (const NormalConeT &)
| merge _cone; this instance will then enclose both former cones
const Vec3 & | center_normal () const
| returns center normal
Scalar | angle () const
| returns size of cone (radius in radians)

## Detailed Description

### template<typename Scalar>
class OpenMesh::NormalConeT< Scalar >

/class NormalCone NormalCone.hh <ACG/Geometry/Types/NormalCone.hh>

NormalCone that can be merged with other normal cones. Provides the center normal and the opening angle.

The documentation for this class was generated from the following files:

- OpenMesh/Core/Geometry/NormalConeT.hh
- OpenMesh/Core/Geometry/NormalConeT.cc